List databases
curl --request GET \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"sharded": true
}
]{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}databases
List databases
Lists all of the databases in a workspace.
GET
/
workspaces
/
{workspaceSlug}
/
databases
List databases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A list of GetDatabaseResponse objects.
Minimum string length:
1Show child attributes
Show child attributes
Available options:
PENDING, REQUESTED, BUILT, READY Available options:
AWS_US_WEST_2, AWS_EU_CENTRAL_1, AZURE_EASTUS Was this page helpful?
⌘I